function p.get_mesh() return "__SPECIAL__" end

function p.payload(level, bp)
    local center = std.block_center(bp)
    --
    local worked = ga_shrink2(center)

    if( worked ) then
        ga_play_sound("shrink")
    else
        ga_play_sound("error")
    end
end

function p.on_touch(level, bp)
    local dist = ga_block_dist_to_viewer(level, bp)
    if (dist > 0.4) then return end
    
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Shrink"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end
